DY_BUTTON - Make a dialog button item


nn = DY_BUTTON(x, y, str{, Rb, Gb, Bb, Rf, Gf, Bf})

nn            is the item number. When the user clicks on the button, the
              dialog box callback, as defined by the DY_END() function, is
              called with its second argument set to the string Bnn (such
              as B1, B2, etc...).

x             is the item column position. When x is set to 1, the item is
              displayed on the left of the dialog box.

y             is the dialog box line position. When y is set to 1, the
              item is displayed on the top of the dialog box.

str           is the string displayed within the button.


Rb, Gb, Bb    are the optional background color RGB values. These are
              integers between 0 and 255. The default MOTIF background
              color can be set with the dialog*button*background X11
              resource.

Rf, Gf, Bf    are the optional foreground color RGB values. These are
              integers between 0 and 255. The default MOTIF foreground
              color can be set with the dialog*button*foreground X11
              resource.

Note:   Individually colored items are not supported by the xsrexx
        OpenLook S/REXX version.
