FOLLOW - Follow Symbolic Links


FOLLOW(file) checks if any component of "file" is a symbolic link, and
replaces it with the file to which the symbolic link points. The full
pathname of the file will be returned. If file is recursively linked to
itself, or if the file directory component does not exist, FOLLOW returns
an empty string.

FOLLOW sets RC to zero in case of success. In case of error, FOLLOW
returns an empty string and sets RC and to -1.

Example:       call chdir "/users/john"
               "ln -s ./somefile ./somefile.link"
               say follow("somefile.link")

               displays:      /users/john/somefile
