OPEN_CONS - Open a Console

OPEN_CONS({title {,width{,height}})

OPEN_CONS is specific to the wsrexx.exe Windows S/REXX version.

OPEN_CONS is used within the windowing wsrexx.exe version to open a
standard I/O console, similar to a DOS console.

S/REXX automatically calls OPEN_CONS when a SAY, SAYX, TRACE or PARSE PULL
statement is issued and the console has not been opened before.

title     is a string to be displayed on top of the console.
width     is the width in characters unit of the console.
height    is the height in characters unit of the console.

Example:        call OPEN_CONS "MyApp", 80, 25
