SAYR - Terminal Output

SAYR {expr}     displays expr without appending a newline character at the
                end, and starting on the first column.

This instruction is similar to the SAY instruction. However, it allows for
example to display a countdown that will not create a new line at each
iteration.

Example:


-----------------------------------------------------------------------
do i = 15 to 1 by -1
  sayr left(i, 5)
  call sleep 1
end
say 'Done'
-----------------------------------------------------------------------

Note the use of the LEFT() function to assure a constant width for the
displayed string. Without it, "SAYR 9" used after "SAYR 10" would display
"90".
