SENTRIES - Query Stack
----------------------


SENTRIES is not part of the S/REXX language, but for VM/CMS compatibility
it is implemented as an extension of the UNIX or WINDOWS environment.
Therefore, it is recommended to enclose it in quotes in order to prevent
the normal S/REXX variable substitution.

SENTRIES format is:

     SENTRIES        sets the rc variable to the number of entries in the
                     current stack buffer.

Notes:  To prevent an error message from being displayed when the SENTRIES
        command is executed, issue a TRACE OFF command before.

        Using the QUEUED() built-in function is a more efficient way to
        query the stack.


See Also: DESBUF, DROPBUF, MAKEBUF
