SUBDIRS - Find subdirectories

SUBDIRS(root, {stem}, {rec})

  root    is the root directory to be scanned for subdirectories.

  stem    When stem is not provided, the SUBDIRS output will be placed in
          the stack. The user will be able to read it using the parse
          pull command.
          The queued() function may be used to return the number of lines
          in the stack.
          When stem is provided, it must be a valid REXX name. It will be
          filled with the SUBDIRS output. stem.0 will contain the number
          of subdirectories found.

  rec     When not specified, or specified as the "nr" string, only the
          first level subdirectories names are returned.
          When specified as the "r" string, every subdirectory will be
          recursively scanned, and all the nested subdirectories names
          will be returned.

Example:        call subdirs "~", tab, "r"
                do i = 1 to tab.0
                    say tab.i
                end
