WIPE - Wipe files


WIPE(ff)

With modern methods of recovery for data stored on magnetic media, such as
Magnetic Force Microscopy (MFM), simply overwriting a file with 0s, for
example, is not sufficient to prevent unwanted access to that file. These
methods can in fact be used to read the previous state of the portion of
the disk which has been wiped with a unique simple pattern.

WIPE() overwrites the ff file with 40 different patterns selected to
prevent the recovery of the initial state of that file, and then erases
the file.

WIPE() returns the full path names of the deleted files.

ff may include the ~ .. UNIX or WINDOWS file meta characters. If a
filename contains blanks, it must be surrounded with quotes or double
quotes.

When WIPE fails, it sets the rc variable to a non-zero value, and returns
an error message, such as:

        RM() error: File does not exist

Examples:    say wipe("~/foo ~/test")
             could print:  /user/john/foo /usr/john/test
