#! /bin/csh -f
#
#  Wb_stopin: sets a stop in the current file.
#

if ( ! $?WB_CONTEXT_FILE ) then
  sends 'Set_context'
  if ( $status != 0 ) then
    exit 1
  endif
endif

set line = `extract line`

sends "top" "scope all"
sends "r/\<main\> *("
if ( $status == 0 ) then
  set fns = 'main'
else
  set fns = `extract fname`
  set fns = $fns[2]
endif

sends "delay" ":$line[2]" "msg"

set a = ('wb_send DEBUG BP-SET-PROC - - '$fns)
sends "$a"
