#
# Solaris X86 specific setting
#
# keyboard $xhome/keyboard/STANDARD.TRANS 2
# keyboard . 2
set nbkeys 10 12 15
set HOME        R5
set IHOME       R7
set INS         R4
set APL         R15
set DOWN_FIELD  LF
set UP_FIELD    Alt
set EOF         Escape
set BACKSPACE   ^h
set NBKEYS      10 12 15
set SERVER      i86pc

# text formatting
set ^F ONLY flow
set ^L ONLY leftadjust
set ^R ONLY rightadjust

# Prints the file currently edited
set ^p ONLY shell lp $name &

# Compiles the file currently edited
set ^c ONLY smart_comp 0
set ^C ONLY smart_comp 1

set ^g ONLY smart_compd 0
set ^G ONLY smart_compd 1

# See the next compilation error
set ^- ONLY nexterror

# Useful to see what we are editing
set ^n ONLY f $fn *
set ^N ONLY f $fn * $fd
set ^D ONLY f * * "$fd"


#
#  "Control-R6" (R6 <--> PgUp) will comment in or out the selection,
#   or the cursor line
#
set c-r6 ONLY filter $xhome/filters/$arch/toggle_comment

set F1 ONLY s_find
set S-F1 ONLY s_find
set C-F1 ONLY s_find
set M-F1 ONLY s_find

set F2 ONLY s_cut

set F3 ONLY s_copy

set F4 ONLY s_paste

set F11 ONLY undo
set S-F11 ONLY redo

set r1 ONLY aquit
set c-r1 ONLY flquit
set r2 ONLY complete
set s-r2 ONLY complete reverse
set r3 ONLY save
set s-r3 ONLY file
set c-r3 ONLY flfile
set r6 ONLY backward
set r9 ONLY forward

set s-r6 ONLY top
set s-r9 ONLY bot

set ^m ONLY match
set ^M ONLY match cursor
set ^s ONLY c_split

set ^e

set f10 ONLY home

#
#  "Control-F10" will clear the command field without moving the cursor
#
set c-f10 ONLY delayhome

setp "R1:Q  R2:E  R3:Save  ^S:Sp  5:x  7:U  8:D  9:?  10:H  11:Undo  S-PU:Top  S-PD:Bot"
