KILL - Terminate a Process


KILL(pid{, sig})

On UNIX systems, KILL() sends to the process whose process ID (returned by
the FORK() built-in function) is pid the signal sig. sig can be any
number, or one of the usual UNIX signal strings:

     SIGALRM       SIGIOT         SIGTRAP
     SIGBUS        SIGKILL        SIGTSTP
     SIGCHLD       SIGLOST        SIGTTIN
     SIGCLD        SIGPIPE        SIGTTOU
     SIGCONT       SIGPOLL        SIGURG
     SIGEMT        SIGPROF        SIGUSR1
     SIGFPE        SIGQUIT        SIGUSR2
     SIGHUP        SIGSEGV        SIGVTALRM
     SIGILL        SIGSTOP        SIGWINCH
     SIGINT        SIGSYS         SIGXCPU
     SIGIO         SIGTERM        SIGXFSZ

The sig default value is SIGKILL, which will terminate the pid process.

The first 3 letters of sig can be omitted: ALRM is the same as SIGALRM.

Upon successful completion, a value of 0 is returned. Otherwise, a value
of -1 is returned.

On WINDOWS systems, KILL() always returns a value of -1.
