LN - Make Hard or Symbolic Links to File

LN(OldFile, NewFile{, 'h'|'s'})

LN creates a new directory entry (link) NewFile for the file specified by
OldFile.

LN may be used to create both hard links ('h') and symbolic links ('s'). A
hard link is a pointer to a file and is indistinguishable from the
original directory entry. Any changes to a file are effectively
independent of the name used to reference the file. Hard links may not
span file systems.

A symbolic link is an indirect pointer to a file; its directory entry
contains the name of the file to which it is linked. Symbolic links may
span file systems. On UNIX systems, LN defaults to symbolic links when the
third parameter is not specified.

Symbolic links are not available on WINDOWS.

LN returns 0 in case of success, or an error message.
