#! /bin/csh -f
#
#  Set_context: prompt the user with the "set_context" panel in order
#               to set the WorkBench context
#

if ( ! $?WB_CONTEXT_HOST ) then
  sends "setenv WB_CONTEXT_HOST `hostname`"
endif

if ( ! $?WB_CONTEXT_DIRECTORY ) then
  sends "setenv WB_CONTEXT_DIRECTORY $cwd"
endif

redo:

sends 'get_panel $xhome/xmac/set_context' 'macro Set_context1'

if ( $status != 0 ) then
  sends 'delay'
  goto redo
endif
