#
# WINDOWS specific settings
#
mousemode windows
set nbkeys 10 12 15
#set HOME        R5
#set IHOME       R7
set INS         R4
set APL         R15
set DOWN_FIELD  LF
set UP_FIELD    Alt
set EOF         Escape
set BACKSPACE   ^h
color scale red

#
set F1          ONLY s_find
set F2          ONLY c_lineadd
set F3          ONLY save
set F4          ONLY c_split
set F5          ONLY switch
set F6          ONLY c_endline
set F7          ONLY backward
set F8          ONLY forward
set F9          ONLY ?
set F10         ONLY home
set F11         ONLY undo
set F12         ONLY =
set S-F1        ONLY s_find
set S-F2        ONLY c_ext
set S-F3        ONLY file
set S-F5        ONLY iswitch
set S-F6        ONLY c_endcurl
set S-F7        ONLY pgup
set S-F8        ONLY pgdown
set S-F9        ONLY ?i
set S-F10       ONLY home
set S-F11       ONLY redo
set S-F12       ONLY bot
set C-F1        ONLY s_find
set C-F3        ONLY flfile
set C-F7        ONLY left40
set C-F8        ONLY right40
set C-F10       ONLY delayhome
set M-F4        ONLY prompt_exit
set R1          ONLY aquit
set R2          ONLY complete
set R3          ONLY save
set R5          ONLY c_startline
set R6          ONLY backward
set R7          ONLY c_endline
set R9          ONLY forward
set S-R1        ONLY flquit
set S-R2        ONLY complete reverse
set S-R3        ONLY file
set S-R6        ONLY top
set S-R9        ONLY bot
set C-R1        ONLY flquit
set C-R3        ONLY flfile
set C-R5        ONLY top
set C-R7        ONLY bot
set ^-          ONLY nexterror
set ^=          ONLY c_dup
set ^C          ONLY smart_comp 0
set ^F          ONLY flow
set ^G          ONLY smart_compd 0
set ^H          ONLY s_help
set ^L          ONLY leftadjust
set ^M          ONLY match cursor
set ^R          ONLY rightadjust
set ^X          ONLY s_xed
set ^a          ONLY s_set all
set ^c          ONLY s_copy
set ^d          ONLY c_linedel
set ^f          ONLY flist
set ^h          ONLY c_scrh
set ^l          ONLY s_lower
set ^m          ONLY match
set ^p          ONLY printfile
set ^q          ONLY   aquit
set ^r          ONLY tree
set ^s          ONLY dy_save
set ^t          ONLY tree
set ^u          ONLY s_upper
set ^v          ONLY s_paste SHELF
set ^V          ONLY s_paste SHELF OVERLAY
set ^w          ONLY c_scrj
set ^x          ONLY s_cut
set ^z          ONLY undo

# text formatting
set ^F ONLY flow
set ^L ONLY leftadjust
set ^R ONLY rightadjust

# Prints the file currently edited
set ^p ONLY printfile

# Compiles the file currently edited
set ^C ONLY smart_comp 0
set ^G ONLY smart_compd 0

# See the next compilation error
set ^- ONLY nexterror

# Useful to see what we are editing
set ^n ONLY f "$fn" *
set ^N ONLY f "$fn" * "$fd"
set ^D ONLY f * * "$fd"


#
#  "Control-R6" (R6 <--> PgUp) will comment in or out the selection,
#   or the cursor line
#
set c-r6 ONLY filter "$xhome/filters/$arch/toggle_comment"

#
#  "Control-F10" will clear the command field without moving the cursor
#
set c-f10 ONLY delayhome

setp "F1:F  F2:A  F3:Save  F4:Sp  5:x  7:U  8:D  9:?  10:H  11:Undo  S-PU:Top  S-PD:Bot"
